package com.cm.manager.sms.pojo.dtos.sms;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: SmsDTO
 * @Description: 短信
 * @Author: WenG
 * @Date: 2020-03-14 16:01
 * @Version: 1.0
 **/
@ApiModel
public class SmsDTO {

    @ApiModelProperty(name = "smsId", value = "主键")
    private String smsId;
    @ApiModelProperty(name = "phone", value = "电话")
    private String phone;
    @ApiModelProperty(name = "content", value = "发送内容")
    private String content;
    @ApiModelProperty(name = "sendStatus", value = "发送状态")
    private Integer sendStatus;
    @ApiModelProperty(name = "errorMessage", value = "错误信息")
    private String errorMessage;
    @ApiModelProperty(name = "gmtCreate", value = "发送时间")
    private String gmtCreate;

    public String getSmsId() {
        return smsId == null ? "" : smsId;
    }

    public void setSmsId(String smsId) {
        this.smsId = smsId;
    }
    public String getPhone() {
        return phone == null ? "" : phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getContent() {
        return content == null ? "" : content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Integer getSendStatus() {
        return sendStatus == null ? 0 : sendStatus;
    }

    public void setSendStatus(Integer sendStatus) {
        this.sendStatus = sendStatus;
    }

    public String getErrorMessage() {
        return errorMessage == null ? "" : errorMessage;
    }

    public void setErrorMessage(String errorMessage) {
        this.errorMessage = errorMessage;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"smsId\":\"")
                .append(smsId).append('\"');
        sb.append(",\"phone\":\"")
                .append(phone).append('\"');
        sb.append(",\"content\":\"")
                .append(content).append('\"');
        sb.append(",\"sendStatus\":")
                .append(sendStatus);
        sb.append(",\"errorMessage\":\"")
                .append(errorMessage).append('\"');
        sb.append(",\"gmtCreate\":\"")
                .append(gmtCreate).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
